#!/usr/bin/perl -w
#
# change some variables in rc.config template 
# autor: Stephan Lauffer <lauffer@ph-freiburg.de>
#
# last change: 10/30/2000

my ($TARGET, $line);

if (!defined($ARGV[0])) {
	die "Missing target file of new rc.config!";
}
if (!defined($ARGV[1])) {
	die "Missing network parameters for new rc.config!";
}


$TARGET=$ARGV[0];

open (OLD_RC_CONFIG, "</etc/rc.config");
open (NEW_RC_CONFIG, ">>$TARGET");

while ($line=<OLD_RC_CONFIG>) {
	chomp ($line);
	
	# start portmapper
	#
	if ($line =~ /^START_PORTMAP="?[Nn][Oo]"?/) {
		print NEW_RC_CONFIG "START_PORTMAP=\"yes\"\n";
	
	# start nfs-server
	#
	} elsif  ($line =~ /^NFS_SERVER="?[Nn][Oo]"?/) {
		print NEW_RC_CONFIG "NFS_SERVER=\"yes\"\n";
	
	# start inetd
	#
	} elsif ($line =~ /^START_INETD="?[Nn][Oo]"?/) {
		print NEW_RC_CONFIG "START_INETD=\"yes\"\n";
	
	# set syslog parameters
	#
	} elsif ($line =~ /^SYSLOGD_PARAMS=/) {
		print NEW_RC_CONFIG "SYSLOGD_PARAMS=\"-m 0 -r -s $ARGV[1]\"\n";
	
	# if non line is matching our settings,
	# print the line read from the orginal file
	
	} else {
		print NEW_RC_CONFIG "$line\n";
	}

}

close (OLD_RC_CONFIG);
close (NEW_RC_CONFIG);
